Bug 1313686 (CVE-2016-4020) - CVE-2016-4020 Qemu: i386: leakage of stack memory to guest in kvmvapic.c
Summary: CVE-2016-4020 Qemu: i386: leakage of stack memory to guest in kvmvapic.c
Status: CLOSED ERRATA
Alias: CVE-2016-4020
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160407,reported=2...
Keywords: Security
Depends On: 1326904 1335751 1335752 1335753 1335754 1335755 1335756 1381794 1475713 1475714
Blocks: 1313687 1377819
TreeView+ depends on / blocked
 
Reported: 2016-03-02 08:41 UTC by Adam Mariš
Modified: 2019-06-11 11:13 UTC (History)
39 users (show)

(edit)
An information-exposure flaw was found in Quick Emulator (QEMU) in Task Priority Register (TPR) optimizations for 32-bit Windows guests. The flaw could occur while accessing TPR. A privileged user inside a guest could use this issue to read portions of the host memory.
Clone Of:
(edit)
Last Closed: 2019-06-08 02:49:13 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1856 normal SHIPPED_LIVE Moderate: qemu-kvm security, bug fix, and enhancement update 2017-08-01 18:03:36 UTC
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC
Red Hat Product Errata RHSA-2017:2408 normal SHIPPED_LIVE Moderate: qemu-kvm-rhev security and bug fix update 2017-08-02 01:17:55 UTC

Description Adam Mariš 2016-03-02 08:41:46 UTC
Qemu emulator built with the Task Priority Register(TPR) optimizations for 32-bit Windows guests, is vulnerable to a information leakage issue. It could
occur while accessing Task Priority Register(TPR).

A privileged user/process inside guest could use this issue to leak host memory bytes.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-04/msg01118.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/04/14/3

Comment 1 Adam Mariš 2016-03-02 08:42:07 UTC
Acknowledgments:

Name: Donghai Zdh (Alibaba Inc.)

Comment 3 Prasad J Pandit 2016-04-13 18:03:48 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1326904]

Comment 6 Fedora Update System 2016-05-29 17:47:11 UTC
qemu-2.6.0-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-05-31 02:51:10 UTC
qemu-2.4.1-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-06-07 01:19:26 UTC
qemu-2.3.1-15.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Eric Christensen 2017-07-28 13:34:33 UTC
Statement:

This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/.

Comment 21 errata-xmlrpc 2017-08-01 17:51:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1856 https://access.redhat.com/errata/RHSA-2017:1856

Comment 22 errata-xmlrpc 2017-08-02 00:55:22 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)
  Red Hat OpenStack Platform 11.0 (Ocata)
  Red Hat Enterprise Linux OpenStack Platform 6.0 (Juno) for RHEL 7
  Red Hat Enterprise Linux OpenStack Platform 7.0 (Kilo) for RHEL 7
  Red Hat OpenStack Platform 8.0 (Liberty)
  Red Hat OpenStack Platform 9.0 (Mitaka)

Via RHSA-2017:2408 https://access.redhat.com/errata/RHSA-2017:2408

Comment 23 errata-xmlrpc 2017-08-02 04:43:55 UTC
This issue has been addressed in the following products:

  RHEV 4.X RHEV-H and Agents for RHEL-7

Via RHSA-2017:2392 https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.